Packages - Bug #2999

[kodi-x11] Repositories not working ("wrong digest” error message)
2021-03-21 08:16 PM - DragOnFly

Status: duplicate % Done: 0%
Priority: bug

Assignee:

Category:

Description

When attempting to install Kodi addons via repository, the process failes due to a "wrong digest" error for
http://repo.parabola.nu/other/kodi-libre/addons/leia/addons.xml.gz

See the following extract from the Kodi log:

2021-03-21 21:12:50.409 T:116258443511360 WARNING: Previous line repeats 5 times.

2021-03-21 21:12:50.409 T:116258443511360 ERROR: CRepository:
http://repo.parabola.nu/other/kodi-libre/addons/leia/addons.xml.gz index has wrong digest
731cd8ff6alccb5116f8a0ce117e3442818477f210ddd17552¢c36de206088166,

expected: @Y e Xaddons.xml9]@sSGo¢e[E€©0SeKoy o2

aCooofkooomlo0000k!}20

2021-03-21 21:12:50.454 T:116260497472256 WARNING: CGUIMediaWindow::OnMessage - updating in progress
2021-03-21 21:12:52.202 T:116258456467008 ERROR: GetDirectory - Error getting addons://repos/

2021-03-21 21:12:52.218 T:116260497472256 ERROR: CGUIMediaWindow::GetDirectory(addons://repos/) failed

Related issues:
Related to Packages - Freedom Issue #2503: [kodi]: contains nonfree RAR and n... confirmed

History

#1 - 2021-03-22 06:52 PM - DragOnFly

Running my own package for kodi-x11, built via makepkg, appears to not have this issue. That version however is at 18.7.1-5, and not 18.9-3 which is
in the main Parabola repos.

#2 - 2021-03-23 08:08 PM - bill-auger

- Status changed from unconfirmed to info needed

this probably a duplicate of #2503 - there is no addons repository for the 'liea’ release

#3 - 2021-03-23 08:08 PM - bill-auger
- Related to Freedom Issue #2503: [kodi]: contains nonfree RAR and nonfree addons added

#4 - 2021-03-23 08:52 PM - DragOnFly

As | write in the comment above, the issue with repositories does not occur with 18.7; | can install addons successfully using that version, so there
has to be an addons.xml.gz for Leia.

To me it appears that either there is something amiss with how the 18.9 version is built, or some kind of regression has been introduced between 18.7
and 18.9.

#5 - 2021-03-24 12:20 AM - bill-auger

so there has to be an addons.xml.gz for Leia.>

yes, i could have explained it better - that is just a copy the
previous 'krypton' repos, renamed as 'liea' - i did not expect
it to work; but it was an experiment, worth trying - still, i
would not expect it to work perfectly, if it works at all

#6 - 2021-03-24 12:56 AM - DragOnFly
When did you do the copy of the Krypton repos to Leia (note 'Leia’, not 'liea' ;) )? | did this test right after opening the bug report, and the Kodi
installation of plugins worked fine on 18.7 (but not 18.9). This was done practically at the same time.

#7 - 2021-03-24 02:12 AM - bill-auger

that was about 2 months ago; when i explained the situation on
#2508 - #2503 is the bug report reference for the blacklist -

if there is anything more to add or discuss regarding kodi's
plugins, we should use #2503 instead, for future reference

#8 - 2021-03-24 01:10 PM - DragOnFly

| see, so the issue is that all plugins are blacklisted until the list is combed through. 8) I'll follow up in that bug report; as the problem here is that a
simple default skin (Confluence) won't install on 18.9, whereas it works fine on 18.7.

This is probably due to 18.7 having been manually built with makepkg as noted above.

#9 - 2021-03-24 11:32 PM - bill-auger

- Status changed from info needed to duplicate
